CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Serving.Recipes.ListAsync(limit: 50);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.serving.recipes.list(limit=50)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.serving.recipes.list({});
console.log(result);
}
run();curl --request GET \
--url https://apigw.mka1.com/api/v1/serving/recipes \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/serving/recipes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"created_at": "2023-11-07T05:31:56Z",
"definition": {
"accelerators": {},
"model_selectors": [
{
"modality": "<string>",
"architecture": "<string>",
"family": "<string>"
}
],
"name": "<string>",
"port": 32768,
"version": 2,
"apiProviderType": "<string>",
"capabilities": {},
"description": "<string>",
"engine": "vllm",
"readiness": {},
"runtime": {
"args": [
"<string>"
],
"env": {}
}
},
"disabled_at": "2023-11-07T05:31:56Z",
"enabled": true,
"enabled_at": "2023-11-07T05:31:56Z",
"enabled_by": "<string>",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Serving Recipes
Lista de receitas de porções
Liste o catálogo global de receitas de serving do cluster. Os tenants veem apenas receitas habilitadas (implantáveis); os administradores do cluster veem todas as receitas registradas, incluindo as desabilitadas.
GET
/
api
/
v1
/
serving
/
recipes
CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Serving.Recipes.ListAsync(limit: 50);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.serving.recipes.list(limit=50)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.serving.recipes.list({});
console.log(result);
}
run();Autorizações
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Cabeçalhos
Optional external end-user identifier forwarded by the API gateway.
Parâmetros de consulta
Intervalo obrigatório:
1 <= x <= 200Esta página foi útil?
⌘I